<template>
  <span class="avatar avatar-rounded" :class="classObject" :style="style">
    <slot></slot>
    <span v-if="badge" class="badge badge-small-text" :class="badge"></span
  ></span>
</template>

<script>
export default {
  props: {
    img: {
      type: String,
      default: '',
    },
    size: {
      type: String,
      default: '',
    },
    badge: {
      type: String,
      default: '',
    },
    cursor: {
      type: String,
      default: 'default',
    },
  },
  computed: {
    style() {
      return {
        'background-image': `url(${this.img})`,
        cursor: this.cursor,
      };
    },
    classObject() {
      const res = [];
      if (this.size) {
        res.push(`avatar-${this.size}`);
      }
      return res;
    },
  },
};
</script>
